<template>
    <header>
        <div class="left-group">
            <router-link to="/dashboard" class="logo">
                <div class="logo">
                    <img class="logo-mini" src="../../assets/logo-mini.svg">
                    <h1 class="title">Soundworks</h1>
                </div>
            </router-link>
            <p class="current-group">Current Group: Lorem Ipsum Placeholder</p>
        </div>

        <div class="actions">
            <button @click="logout()" class="btn-icon logout" type="button"><img src="../../assets/icons/logout.svg"><span
                    class="visuallyhidden">Logout</span></button>
        </div>
    </header>
</template>

<script>
    export default {
        name: 'Header',
        methods: {
            logout(){
                localStorage.token = '';
                this.$router.push('/');
            }
        }
    }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
    @import "../../assets/theme";

    header {
        width: 100vw;
        height: 45px;
        background-color: $PRIMARY-COLOUR;
        padding: 5px 30px 5px 20px;
        display: flex;
        justify-content: space-between;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 2;

        .left-group {
            display: flex;
        }

        .logo {
            display: flex;
            /*align-items: center;*/

            .logo-mini {
                width: 35px;

            }
            .title {
                line-height: 35px;

            }

        }

        .current-group {
            color: $WHITE;
            padding-left: 20px;
            margin: 10px 0;
        }

        .actions {
            float: right;

            .logout {
                margin-bottom: 0;
            }

        }
    }


</style>
